# Creates a comment for a sender in project

Creates a comment for a sender in project.

Endpoint: POST /v1/projects/{projectId}/whatsapp/senders/{senderId}/comments
Version: 1.2.118
Security: BasicAuth, BearerAuth, OAuth2Production

## Security:

  - `BasicAuth` (unknown)
    http basic

  - `BearerAuth` (unknown)
    http bearer JWT

  - `OAuth2Production` (unknown)
    oauth2

## Path parameters:

  - `projectId` (string, required)
    The unique ID of the project. You can find this on the <a href="https://dashboard.sinch.com/">Sinch Dashboard</a>.

  - `senderId` (string, required)
    The unique ID of the sender.

## Request body:

  - `application/json` (unknown)
    Comment data

## Request fields (application/json):

  - `comment` (string, required)

## Request examples:

  - `Body request` (unknown)
    Example body request to create a comment.

## Response 201:

  - `201` (unknown)
    Created comment for a sender in project

## Response 201 fields (application/json):

  - `type` (string, required)
    Enum: "CREATED"

  - `comment` (string, required)

  - `created` (string)

## Response 400:

  - `400` (unknown)
    BadRequest

## Response 400 fields (application/json):

  - `errorCode` (string, required)
    Error code identifying the type of error.

  - `message` (string, required)
    Human-readable error message.

  - `resolution` (string, required)
    Suggested resolution for the error.

  - `additionalInformation` (object)
    Additional context about the error.

## Response 401:

  - `401` (unknown)
    Unauthorized

## Response 401 fields (application/json):

  - `errorCode` (string, required)
    Error code identifying the type of error.

  - `message` (string, required)
    Human-readable error message.

  - `resolution` (string, required)
    Suggested resolution for the error.

  - `additionalInformation` (object)
    Additional context about the error.

## Response 404:

  - `404` (unknown)
    NotFound

## Response 404 fields (application/json):

  - `errorCode` (string, required)
    Error code identifying the type of error.

  - `message` (string, required)
    Human-readable error message.

  - `resolution` (string, required)
    Suggested resolution for the error.

  - `additionalInformation` (object)
    Additional context about the error.

## Response 500:

  - `500` (unknown)
    InternalServerError

## Response 500 fields (application/json):

  - `errorCode` (string, required)
    Error code identifying the type of error.

  - `message` (string, required)
    Human-readable error message.

  - `resolution` (string, required)
    Suggested resolution for the error.

  - `additionalInformation` (object)
    Additional context about the error.

## Response 201 examples:

  - `Create response` (unknown)
    Response when successfully creating a comment.

## Response 400 examples:

  - `ProjectNotInitializedError` (unknown)

  - `InvalidInputError` (unknown)

  - `InvalidPayloadError` (unknown)

## Response 401 examples:

  - `UnauthorizedErrorError` (unknown)

## Response 404 examples:

  - `SenderNotFoundError` (unknown)

## Response 500 examples:

  - `InternalErrorError` (unknown)

